
Foreman - Feature #18638

Add SCSS webpack support

02/23/2017 06:39 AM - matan werbner

Status: Closed   

Priority: Normal   

Assignee: matan werbner   

Category: JavaScript stack   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4334

  

Description

Related issues:

Related to Foreman - Bug #18688: sass-loader dep has a peer dependency on web... Closed 02/27/2017

Related to Foreman - Bug #18716: Fix storybook to work with scss Closed 02/28/2017

Associated revisions

Revision 2a824da7 - 02/26/2017 10:40 AM - matan 

Fixes #18638 - add sass support to webpack

Revision a2764da5 - 03/02/2017 09:00 AM - Dominic Cleal

refs #18638 - use node-sass, sass-loader

History

#1 - 02/23/2017 06:41 AM - Ohad Levy

can you please provide context? what is this about?

#2 - 02/23/2017 06:48 AM - matan werbner

Ohad Levy wrote:

can you please provide context? what is this about?

 i would like to be able to use .scss files as part of react components.

to do that, some changes need to be made to webpack, and possibly ruby rendering the css bundle.

#3 - 02/26/2017 03:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4321 added

#4 - 02/26/2017 03:07 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4334 added

#5 - 02/26/2017 03:51 AM - Ohad Levy

- Subject changed from Feature - suport sass in the client side to Add SCSS webpack support

- Pull request deleted (https://github.com/theforeman/foreman/pull/4321)

#6 - 02/26/2017 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2a824da718514ebebf563dfaf1b7e5bdd248e04a.

#7 - 02/27/2017 03:50 AM - Dominic Cleal

- Related to Bug #18688: sass-loader dep has a peer dependency on webpack 2.x, not 1.x added

#8 - 02/27/2017 03:50 AM - Dominic Cleal

- Category set to JavaScript stack

- translation missing: en.field_release set to 209

#9 - 03/01/2017 04:49 AM - Dominic Cleal

- Related to Bug #18716: Fix storybook to work with scss added
